package com.njcn.pojo.configuration;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;

/** @Author denghuajun
 * @Description //TODO 内部定值控制字
 * @Date  2018/10/24 14:07
 **/
@Table(name = "PQS_PROTECTCONTROLWORD")
public class ProtectControlWord implements Serializable {
    @Id
    @Column(name = "PV_INDEX")
    private String pvIndex;//PV_INDEX的外键（定值表的主键）
    @Column(name = "TYPE_NUM")
    private int typeNum;//控制位序号0,1,2,3,……,15
    @Column(name = "BIT0")
    private String bit0;//控制位为0时表达意义
    @Column(name = "BIT1")
    private String bit1;//控制位为1时表达意义

    @Override
    public String toString() {
        return "ProtectControlWord{" +
                "pvIndex='" + pvIndex + '\'' +
                ", typeNum=" + typeNum +
                ", bit0='" + bit0 + '\'' +
                ", bit1='" + bit1 + '\'' +
                ", describe='" + describe + '\'' +
                ", flag=" + flag +
                '}';
    }

    public String getPvIndex() {
        return pvIndex;
    }

    public void setPvIndex(String pvIndex) {
        this.pvIndex = pvIndex;
    }

    public int getTypeNum() {
        return typeNum;
    }

    public void setTypeNum(int typeNum) {
        this.typeNum = typeNum;
    }

    public String getBit0() {
        return bit0;
    }

    public void setBit0(String bit0) {
        this.bit0 = bit0;
    }

    public String getBit1() {
        return bit1;
    }

    public void setBit1(String bit1) {
        this.bit1 = bit1;
    }

    public String getDescribe() {
        return describe;
    }

    public void setDescribe(String describe) {
        this.describe = describe;
    }

    public int getFlag() {
        return flag;
    }

    public void setFlag(int flag) {
        this.flag = flag;
    }

    @Column(name = "DESCRIBE")
    private String describe;//描述
    @Column(name = "FLAG")
    private int flag;//是否选中 0：否；1：是
}
